Subject: bug#20283: bug#16737: Timed out waiting for reply from selection owner

From: Tassilo Horn <[email-masked]>
Date: Wed, 03 Jun 2015 17:18:28 +0200

Alex Bennée <[email-masked]> writes:

> I still see it and I've been tracking the emacs-24 branch. It seems to be a
> consequence of a long lived Emacs daemon session

I'm using the current master branch but I also use the server (which
should be kind of the same to starting emacs as a doemon, no?).  Kill
and yank for hours, and then out of sudden the timeouts appear.

> - I.e. any given daemon eventually starts to timeout with x pastes. I
> just restart the daemon and it goes away. I haven't restarted X/i3 for
> weeks.

For me, restarting the emacs server (M-x server-start RET) doesn't make
the selection timeouts disappear. :-(

Bye,
Tassilo